/*
 * Tinc Mesh VPN: Android client and user interface
 * Copyright (C) 2017-2019 Euxane P. TRAN-GIRARD
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package org.pacien.tincapp.activities.status.subnets

import android.content.Context
import androidx.databinding.DataBindingUtil
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import org.pacien.tincapp.databinding.StatusSubnetListItemBinding

/**
 * @author euxane
 */
class SubnetInfoArrayAdapter(context: Context) : ArrayAdapter<SubnetInfo>(context, -1) {
  private val layoutInflater = LayoutInflater.from(context)!!

  override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
    val binding = when (convertView) {
      null -> StatusSubnetListItemBinding.inflate(layoutInflater, parent, false)
      else -> DataBindingUtil.getBinding(convertView)!!
    }

    binding.subnetInfo = getItem(position)
    return binding.root
  }
}
